Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkAbstractMapper Class Reference

`#include <vtkAbstractMapper.h>`

Inheritance diagram for vtkAbstractMapper:

[legend]
Collaboration diagram for vtkAbstractMapper:

[legend]
List of all members.

## Detailed Description

abstract class specifies interface to map data

Date:
  2002/06/08 01:08:03

Revision:
  1.29

vtkAbstractMapper is an abstract class to specify interface between data and graphics primitives or software rendering techniques. Subclasses of vtkAbstractMapper can be used for rendering 2D data, geometry, or volumetric data.

See also:
  vtkAbstractMapper3D vtkMapper vtkPolyDataMapper vtkVolumeMapper

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (36%)
  - Biddiscombe, John (29%)
  - Martin, Ken (14%)
  - Lorensen, Bill (13%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkAbstractMapper.h)`
  - .`cxx` (`/Common/vtkAbstractMapper.cxx)`

Definition at line 66 of file vtkAbstractMapper.h.

## [NOHEADER]
virtual int | GetNumberOfConsumers ()
vtkDataArray * | GetScalars (vtkDataSet *input, int scalarMode, int arrayAccessMode, int arrayId, const char *arrayName, int &component)
## Public Types
typedef vtkProcessObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual unsigned long | GetMTime ()
virtual void | ReleaseGraphicsResources (vtkWindow *)
void | SetClippingPlanes (vtkPlanes *planes)
void | ShallowCopy (vtkAbstractMapper *m)
virtual float | GetTimeToDraw ()
void | AddClippingPlane (vtkPlane *plane)
void | RemoveClippingPlane (vtkPlane *plane)
void | RemoveAllClippingPlanes ()
virtual void | SetClippingPlanes (vtkPlaneCollection *)
virtual vtkPlaneCollection * | GetClippingPlanes ()
void | AddConsumer (vtkObject *c)
void | RemoveConsumer (vtkObject *c)
vtkObject * | GetConsumer (int i)
int | IsConsumer (vtkObject *c)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkAbstractMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkAbstractMapper ()
| ~vtkAbstractMapper ()
## Protected Attributes
vtkTimerLog * | Timer
float | TimeToDraw
vtkWindow * | LastWindow
vtkPlaneCollection * | ClippingPlanes
int | NumberOfConsumers
vtkObject ** | Consumers

## Member Typedef Documentation

typedef vtkProcessObject vtkAbstractMapper::Superclass

| Reimplemented from vtkProcessObject. Reimplemented in vtkMapper2D, vtkAbstractMapper3D, vtkDataSetMapper, vtkImageMapper, vtkLabeledDataMapper, vtkMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper, vtkMesaPolyDataMapper2D, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper, vtkOpenGLPolyDataMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkPolyDataMapper2D, vtkTextMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, vtkVolumeTextureMapper2D, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D. Definition at line 69 of file vtkAbstractMapper.h.

## Constructor & Destructor Documentation

vtkAbstractMapper::vtkAbstractMapper | ( |  | ) | `[protected]`

vtkAbstractMapper::~vtkAbstractMapper | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkAbstractMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkMapper2D, vtkAbstractMapper3D, vtkDataSetMapper, vtkImageMapper, vtkLabeledDataMapper, vtkMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper, vtkMesaPolyDataMapper2D, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper, vtkOpenGLPolyDataMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkPolyDataMapper2D, vtkTextMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, vtkVolumeTextureMapper2D, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

int vtkAbstractMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkMapper2D, vtkAbstractMapper3D, vtkDataSetMapper, vtkImageMapper, vtkLabeledDataMapper, vtkMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper, vtkMesaPolyDataMapper2D, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper, vtkOpenGLPolyDataMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkPolyDataMapper2D, vtkTextMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, vtkVolumeTextureMapper2D, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

virtual int vtkAbstractMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkMapper2D, vtkAbstractMapper3D, vtkDataSetMapper, vtkImageMapper, vtkLabeledDataMapper, vtkMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper, vtkMesaPolyDataMapper2D, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper, vtkOpenGLPolyDataMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkPolyDataMapper2D, vtkTextMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, vtkVolumeTextureMapper2D, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

vtkAbstractMapper* vtkAbstractMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkMapper2D, vtkAbstractMapper3D, vtkDataSetMapper, vtkImageMapper, vtkLabeledDataMapper, vtkMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper, vtkMesaPolyDataMapper2D, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper, vtkOpenGLPolyDataMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkPolyDataMapper2D, vtkTextMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, vtkVolumeTextureMapper2D, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

void vtkAbstractMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProcessObject. Reimplemented in vtkMapper2D, vtkAbstractMapper3D, vtkDataSetMapper, vtkImageMapper, vtkLabeledDataMapper, vtkMapper, vtkMesaFreeTypeTextMapper, vtkMesaImageMapper, vtkMesaPolyDataMapper, vtkMesaPolyDataMapper2D, vtkMesaVolumeRayCastMapper, vtkMesaVolumeTextureMapper2D, vtkOpenGLFreeTypeTextMapper, vtkOpenGLImageMapper, vtkOpenGLPolyDataMapper, vtkOpenGLPolyDataMapper2D, vtkOpenGLVolumeProVG500Mapper, vtkOpenGLVolumeProVP1000Mapper, vtkOpenGLVolumeRayCastMapper, vtkOpenGLVolumeTextureMapper2D, vtkPolyDataMapper, vtkPolyDataMapper2D, vtkTextMapper, vtkVolumeMapper, vtkVolumeProMapper, vtkVolumeProVG500Mapper, vtkVolumeProVP1000Mapper, vtkVolumeRayCastMapper, vtkVolumeTextureMapper, vtkVolumeTextureMapper2D, vtkWin32ImageMapper, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

virtual unsigned long vtkAbstractMapper::GetMTime | ( |  | ) | `[virtual]`

| Override Modifiedtime as we have added Clipping planes Reimplemented from vtkObject. Reimplemented in vtkDataSetMapper, vtkImageMapper, vtkMapper, vtkPolyDataMapper2D, and vtkWin32ImageMapper.

virtual void vtkAbstractMapper::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[inline, virtual]`

| Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release. Reimplemented in vtkDataSetMapper, vtkLabeledDataMapper, vtkMapper, vtkMesaFreeTypeTextMapper, vtkMesaPolyDataMapper, vtkOpenGLFreeTypeTextMapper, vtkOpenGLPolyDataMapper, vtkVolumeMapper, and vtkVolumeRayCastMapper. Definition at line 78 of file vtkAbstractMapper.h.

virtual float vtkAbstractMapper::GetTimeToDraw | ( |  | ) | `[virtual]`

| Get the time required to draw the geometry last time it was rendered

void vtkAbstractMapper::AddClippingPlane | ( | vtkPlane * | plane | ) |

| Specify clipping planes to be applied when the data is mapped (at most 6 clipping planes can be specified).

void vtkAbstractMapper::RemoveClippingPlane | ( | vtkPlane * | plane | ) |

| Specify clipping planes to be applied when the data is mapped (at most 6 clipping planes can be specified).

void vtkAbstractMapper::RemoveAllClippingPlanes | ( |  | ) |

| Specify clipping planes to be applied when the data is mapped (at most 6 clipping planes can be specified).

virtual void vtkAbstractMapper::SetClippingPlanes | ( | vtkPlaneCollection * |  | ) | `[virtual]`

| Get/Set the vtkPlaneCollection which specifies the clipping planes.

virtual vtkPlaneCollection* vtkAbstractMapper::GetClippingPlanes | ( |  | ) | `[virtual]`

| Get/Set the vtkPlaneCollection which specifies the clipping planes.

void vtkAbstractMapper::SetClippingPlanes | ( | vtkPlanes * | planes | ) |

| An alternative way to set clipping planes: use up to six planes found in the supplied instance of the implicit function vtkPlanes.

void vtkAbstractMapper::ShallowCopy | ( | vtkAbstractMapper * | m | ) |

| Make a shallow copy of this mapper. Reimplemented in vtkMapper, vtkPolyDataMapper, and vtkPolyDataMapper2D.

vtkDataArray* vtkAbstractMapper::GetScalars | ( | vtkDataSet * | input,
|  | int | scalarMode,
|  | int | arrayAccessMode,
|  | int | arrayId,
|  | const char * | arrayName,
|  | int & | component
| ) | `[static]`

| Internal helper function for getting the active scalars. The scalar mode indicates where the scalars come from; the arrayAccessMode is used to indicate how to retrieve the scalars from field data (if the scalarMode indicates that). The component is used to indicate which component in the data array to use as the scalars.

virtual int vtkAbstractMapper::GetNumberOfConsumers | ( |  | ) | `[virtual]`

void vtkAbstractMapper::AddConsumer | ( | vtkObject * | c | ) |

| Add or remove or get or check a consumer,

void vtkAbstractMapper::RemoveConsumer | ( | vtkObject * | c | ) |

| Add or remove or get or check a consumer,

vtkObject* vtkAbstractMapper::GetConsumer | ( | int | i | ) |

| Add or remove or get or check a consumer,

int vtkAbstractMapper::IsConsumer | ( | vtkObject * | c | ) |

| Add or remove or get or check a consumer,

## Member Data Documentation

vtkTimerLog* vtkAbstractMapper::Timer`[protected]`

| Definition at line 132 of file vtkAbstractMapper.h.

float vtkAbstractMapper::TimeToDraw`[protected]`

| Definition at line 133 of file vtkAbstractMapper.h.

vtkWindow* vtkAbstractMapper::LastWindow`[protected]`

| Definition at line 134 of file vtkAbstractMapper.h.

vtkPlaneCollection* vtkAbstractMapper::ClippingPlanes`[protected]`

| Definition at line 135 of file vtkAbstractMapper.h.

int vtkAbstractMapper::NumberOfConsumers`[protected]`

| Definition at line 138 of file vtkAbstractMapper.h.

vtkObject** vtkAbstractMapper::Consumers`[protected]`

| Definition at line 139 of file vtkAbstractMapper.h.

The documentation for this class was generated from the following file:

- Common/vtkAbstractMapper.h